# Visualization
TKService
AlienImage

# AlienImage_AlienUserImage Class Reference

This class defines an Alien user image.
Alien Image is X11 .xwd image or SGI .rgb image for examples
.

`#include <AlienImage_AlienUserImage.hxx>`

Inheritance diagram for AlienImage_AlienUserImage:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)=0
| Read content of a UserAlienImage object from a file . Returns True if sucess . .
Standard_EXPORT Standard_Boolean | Read (const Standard_CString afile)
| Read content of a UserAlienImage object from a file . Returns True if file is a AlienImage file . .
virtual Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const =0
| Write content of a UserAlienImage object to a file . .
Standard_EXPORT Standard_Boolean | Write (const Standard_CString afile) const
| Write content of a UserAlienImage object to a file . .
virtual Standard_EXPORT Handle_Image_Image | ToImage () const =0
| convert a AidaAlienData object to a Image object.
virtual Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)=0
| convert a Image object to a AidaAlienData object.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | AlienImage_AlienUserImage ()

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_AlienUserImage::AlienImage_AlienUserImage | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void AlienImage_AlienUserImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[pure virtual]`

| Implements AlienImage_AlienImage. Implemented in AlienImage_AidaAlienImage, AlienImage_BMPAlienImage, AlienImage_EuclidAlienImage, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienImage, and AlienImage_XAlienImage.

Standard_EXPORT const AlienImage_AlienUserImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImage. Reimplemented in AlienImage_AidaAlienImage, AlienImage_BMPAlienImage, AlienImage_EuclidAlienImage, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienImage, and AlienImage_XAlienImage.

Standard_EXPORT Standard_Boolean AlienImage_AlienUserImage::Read | ( | const Standard_CString | afile | ) |

virtual Standard_EXPORT Standard_Boolean AlienImage_AlienUserImage::Read | ( | OSD_File & | afile | ) | `[pure virtual]`

| Implements AlienImage_AlienImage. Implemented in AlienImage_AidaAlienImage, AlienImage_BMPAlienImage, AlienImage_EuclidAlienImage, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienImage, and AlienImage_XAlienImage.

virtual Standard_EXPORT Handle_Image_Image AlienImage_AlienUserImage::ToImage | ( |  | ) | const`[pure virtual]`

| Implements AlienImage_AlienImage. Implemented in AlienImage_AidaAlienImage, AlienImage_BMPAlienImage, AlienImage_EuclidAlienImage, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienImage, and AlienImage_XAlienImage.

Standard_EXPORT Standard_Boolean AlienImage_AlienUserImage::Write | ( | const Standard_CString | afile | ) | const

virtual Standard_EXPORT Standard_Boolean AlienImage_AlienUserImage::Write | ( | OSD_File & | afile | ) | const`[pure virtual]`

| Implements AlienImage_AlienImage. Implemented in AlienImage_AidaAlienImage, AlienImage_BMPAlienImage, AlienImage_EuclidAlienImage, AlienImage_GIFAlienImage, AlienImage_SGIRGBAlienImage, AlienImage_SunRFAlienImage, and AlienImage_XAlienImage.

The documentation for this class was generated from the following file:

- AlienImage_AlienUserImage.hxx